package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_mer_pay_config
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerPayConfig implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户号
     */
    private String merNo;

    /**
     * 支付平台
     */
    private Integer payPlatform;

    /**
     * 支付商户号
     */
    private String payMerNo;

    /**
     * 支付商户key
     */
    private String payMerKey;

    /**
     * 汇联通终端号
     */
    private String hltInstCode;

    /**
     * 汇联通商户号
     */
    private String hltMerNo;

    /**
     * 状态  0：不可用   1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public Integer getPayPlatform() {
        return payPlatform;
    }

    public void setPayPlatform(Integer payPlatform) {
        this.payPlatform = payPlatform;
    }

    public String getPayMerNo() {
        return payMerNo;
    }

    public void setPayMerNo(String payMerNo) {
        this.payMerNo = payMerNo;
    }

    public String getPayMerKey() {
        return payMerKey;
    }

    public void setPayMerKey(String payMerKey) {
        this.payMerKey = payMerKey;
    }

    public String getHltInstCode() {
        return hltInstCode;
    }

    public void setHltInstCode(String hltInstCode) {
        this.hltInstCode = hltInstCode;
    }

    public String getHltMerNo() {
        return hltMerNo;
    }

    public void setHltMerNo(String hltMerNo) {
        this.hltMerNo = hltMerNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerPayConfig other = (BsMerPayConfig) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getPayPlatform() == null ? other.getPayPlatform() == null : this.getPayPlatform().equals(other.getPayPlatform()))
            && (this.getPayMerNo() == null ? other.getPayMerNo() == null : this.getPayMerNo().equals(other.getPayMerNo()))
            && (this.getPayMerKey() == null ? other.getPayMerKey() == null : this.getPayMerKey().equals(other.getPayMerKey()))
            && (this.getHltInstCode() == null ? other.getHltInstCode() == null : this.getHltInstCode().equals(other.getHltInstCode()))
            && (this.getHltMerNo() == null ? other.getHltMerNo() == null : this.getHltMerNo().equals(other.getHltMerNo()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getPayPlatform() == null) ? 0 : getPayPlatform().hashCode());
        result = prime * result + ((getPayMerNo() == null) ? 0 : getPayMerNo().hashCode());
        result = prime * result + ((getPayMerKey() == null) ? 0 : getPayMerKey().hashCode());
        result = prime * result + ((getHltInstCode() == null) ? 0 : getHltInstCode().hashCode());
        result = prime * result + ((getHltMerNo() == null) ? 0 : getHltMerNo().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", payPlatform=").append(payPlatform);
        sb.append(", payMerNo=").append(payMerNo);
        sb.append(", payMerKey=").append(payMerKey);
        sb.append(", hltInstCode=").append(hltInstCode);
        sb.append(", hltMerNo=").append(hltMerNo);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}